# Delivery

#### `GET /accounts/net_delivery_obligations` <a href="#get-accounts-net_delivery_obligations" id="get-accounts-net_delivery_obligations"></a>

```
const getNDO = () => {
  const timestamp = Math.round(Date.now() / 1000)
  const payload = timestamp + 'GET' + '/accounts/net_delivery_obligations' + '{}'
  const decodedSecret = Buffer.from(apiSecret, 'base64')
  const hmac = crypto.createHmac('sha256', decodedSecret)
  const signedPayload = hmac.update(payload).digest('base64')

  // SET HEADERS
  const headers = {
    'X-NDAX-API-KEY': 'public_key',
    'X-NDAX-SIGNED': signedPayload,
    'X-NDAX-TIMESTAMP': timestamp,
    'X-NDAX-PASSPHRASE': 'passphrase'
  }
  const options = {
    headers,
    body,
    json: true
  }

  return request.get(
    `https://api.ndax.in/accounts/net_delivery_obligations`,
    options
  )
}
```

> Sample Response

```
{
  "message": [
    {
      "asset": "e₹",
      "amount": "10532.15",
      "account_group": "00NDAX",
      "account_label": "general"
    },
    {
      "asset": "BTC",
      "amount": "3",
      "account_group": "00NDAX",
      "account_label": "general"
    }
  ]
}
```

Your current net delivery obligations (NDO) across all accounts. See here for more information on NDOs: What does NDO mean?

Response parameters listed below.

<table><thead><tr><th width="180.33333333333331">Parameter</th><th width="451">Description</th><th>Type</th></tr></thead><tbody><tr><td>asset</td><td>The asset code for the specific account, e.g. e₹</td><td>string</td></tr><tr><td>amount</td><td>The amount owed</td><td>string</td></tr><tr><td>account_group</td><td>The sub account determination used for allocating towards settlements</td><td>string</td></tr><tr><td>account_label</td><td>The account label associated with the account</td><td>string</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ndax.in/v3/private-endpoints/accounts/delivery.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
